-- zhaoyu 
-- 修改交易市场相关表

ALTER TABLE `market_goods` 
CHANGE COLUMN `is_offer` `bidder_id` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '最高出价玩家Id' AFTER `is_to_world`;

ALTER TABLE `market_bid_info` 
ADD COLUMN `role_name` varchar(100) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '出价玩家名字' AFTER `role_id`;

ALTER TABLE `market_deal_log` 
MODIFY COLUMN `get_role_id` bigint(20) UNSIGNED NOT NULL DEFAULT 0 COMMENT '获得者玩家Id' AFTER `role_id`,
ADD COLUMN `get_role_name` varchar(100) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '获得者名字' AFTER `get_role_id`;


-- tyl
-- 修改宠物排行榜统计表
ALTER TABLE `pet_support_rank` DROP PRIMARY KEY, ADD PRIMARY KEY (`server_id`, `pet_id`);

ALTER TABLE pet_support_rank  DROP `role_name`, DROP `role_power`;
